Name:	mate-doc-utils
Summary:	MATE Desktop doc utils
Version:	1.4.0
Release:	9%{?dist}

License:	GPLv2+ and LGPLv2+
URL:		http://mate-desktop.org
Source0:	http://pub.mate-desktop.org/releases/1.4/%{name}-%{version}.tar.xz

BuildArch:	noarch

BuildRequires:	mate-common automake pkgconfig gettext intltool rarian-devel libxslt-devel libxml2-devel scrollkeeper libxml2-python docbook-dtds 
Requires:	mate-common gnome-doc-utils gnome-doc-utils-stylesheets


%description
mate-doc-utils is a collection of documentation utilities for the Mate
project.  Notably, it contains utilities for building documentation and
all auxiliary files in your source tree, and it contains the DocBook
XSLT style sheets that were once distributed with Yelp.


%prep
%setup -q
NOCONFIGURE=1 ./autogen.sh

%build
%configure --disable-scrollkeeper
make %{?_smp_mflags}


%install
make DESTDIR=%{buildroot} install
%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README NEWS COPYING COPYING.GPL COPYING.LGPL
%defattr(-,root,root,-)
%{_bindir}/mate-doc-prepare
%{_bindir}/mate-doc-tool
%{_datadir}/pkgconfig/mate-doc-utils.pc
%{_datadir}/aclocal/mate-doc-utils.m4
%{_datadir}/mate/help/mate-doc-make
%{_datadir}/mate/help/mate-doc-xslt
%{_datadir}/omf/mate-doc-make
%{_datadir}/omf/mate-doc-xslt
%{_datadir}/mate-doc-utils
%{_datadir}/xml/mate

#conflicting files with gnome-doc-utils and gnome-doc-utils-stylesheets
%exclude %{python_sitelib}/xml2po/
%exclude %{_datadir}/man/man1/xml2po.1.gz
#Debian script not needed
%exclude %{_datadir}/mate-doc-utils/mate-debian.sh
%exclude %{_datadir}/xml/mallard
%exclude %{_bindir}/xml2po
%exclude %{_datadir}/pkgconfig/xml2po.pc

%changelog
* Mon Jul 23 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-9
- Update spec file

* Sun Jul 22 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-8
- Fix python sitelib conflicts.

* Sun Jul 22 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-7
- Add language macros and add doc files

* Sat Jul 21 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-6
- Clean up spec file further.

* Tue Jul 16 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-5
- Update requires, licensing, remove unneeded python files

* Mon Jul 16 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-4
- Update licensing

* Sat Jul 14 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-3
- Incorporate Rex's changes, clean up spec file.

* Fri Jul 13 2012 Rex Dieter <rdieter@fedoraproject.org> 1.4.0-2
- omit Group: tag
- fix URL, Source0
- use %%configure macro
- BuildArch: noarch

* Thu Jul 12 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-1
- Initial build
